Bug 207161 - Errors in time zones list in evolution
Errors in time zones list in evolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: FC6Desktop
  Show dependency treegraph
 
Reported: 2006-09-19 15:22 EDT by Pavel Rosenboim
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 17:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2006-09-19 15:22:23 EDT
Description of problem:
In Preferences/Calendar and Tasks/General/Time zone selection dialog
America/Los_Angeles is placed in the list between Asia/Jayapura and Asia/Kabul.
Asia/Jerusalem should be there instead. Also, when trying to find it on them
map, America/Los_Angeles is displayed when cursor is above the point
corresponding to Jerusalem, just between Gaza and Amman.

Version-Release number of selected component (if applicable):
evolution-2.8.0-3.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Open Preferences/Calendar and Tasks/General/ dialog.
2. Press Time Zone selection button.
3. Try to find Asia/Jerusalem either on a map or in the drop-down list.
  
Actual results:
Asia/Jerusalem is not present, America/Los_Angeles is displayed instead.

Expected results:
Allow Asia/Jerusalem time zone to be selected.

Additional info:
Comment 1 Matthias Clasen 2006-09-20 01:05:04 EDT
Nice find.
Comment 2 Matthias Clasen 2006-09-20 01:24:48 EDT
Related upstream bug: http://bugzilla.gnome.org/show_bug.cgi?id=301363
Comment 3 Matthew Barnes 2006-09-20 15:06:24 EDT
From CVS HEAD, in calendar/libical/zoneinfo/Asia/Jerusalem.ics:

   ...
   TZID:/softwarestudio.org/Olson_20050423_1/America/Los_Angeles
   X-LIC-LOCATION:America/Los_Angeles
   ...

This looks out of place.
Comment 4 Matthias Clasen 2006-09-20 15:08:21 EDT
Well, the files are just identical, from what I can see
Comment 5 Nicole Dai 2006-10-13 01:59:52 EDT
Confirmed the bug was fixed in evolution-2.8.0-7.fc6.

Note You need to log in before you can comment on or make changes to this bug.